package cz.upol.jj2.lab09.cars;

/**
 * Record se záznamem o historii vozidla
 * zakomentovaný kód je obodba v klasické verzi (ALE recordy jsou imutabilní!!!)
 * @param from vlastnil od
 * @param to vlastnil do
 * @param owner vlastník
 */
public record HistoryItem(int id, int from, int to, Person owner) {
    //nemuseli bychom psát (recordy mají rozumný toString), ale když už vše vypisujeme česky...
    @Override
    public String toString() {
        return "Majitel {" +
                "id=" + id +
                "od=" + from +
                ", do=" + to +
                ", osoba=" + owner +
                '}';
    }
}
//    private int from;
//    private int to;
//    private Person owner;
//
//    public HistoryItem(int from, int to, Person owner)  {
//        this.from = from;
//        this.to = to;
//        this.owner = owner;
//    }
//
//    public int getFrom() {
//        return from;
//    }
//
//    public void setFrom(int from) {
//        this.from = from;
//    }
//
//    public int getTo() {
//        return to;
//    }
//
//    public void setTo(int to) {
//        this.to = to;
//    }
//
//    public Person getOwner() {
//        return owner;
//    }
//
//    public void setOwner(Person owner) {
//        this.owner = owner;
//    }
//
//    @Override
//    public String toString() {
//        return "HistoryItem{" +
//                "from=" + from +
//                ", to=" + to +
//                ", owner=" + owner +
//                '}';
//    }
//}
