package cz.upol.jj2.lab09.cars;

import java.util.List;

/**
 * Informace o autu
 */
public class Car {

    private int id;
    private int year;
    private String brand;
    private String model;
    private int mileage;
    private boolean isCrashed;
    private List<HistoryItem> history;

    public Car(int id, int year, String brand, String model, int mileage, boolean isCrashed, List<HistoryItem> history) {
        this.year = year;
        this.brand = brand;
        this.model = model;
        this.mileage = mileage;
        this.isCrashed = isCrashed;
        this.history = history;
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public int getMileage() {
        return mileage;
    }

    public void setMileage(int mileage) {
        this.mileage = mileage;
    }

    public boolean isCrashed() {
        return isCrashed;
    }

    public void setCrashed(boolean crashed) {
        isCrashed = crashed;
    }

    public List<HistoryItem> getHistory() {
        return List.copyOf(history);
    }

    public void addToHistory(HistoryItem item) {
        this.history.add(item);
    }

    @Override
    public String toString() {
        return "Auto{" +
                "id=" + id +
                ", rok výroby=" + year +
                ", značka='" + brand + '\'' +
                ", model='" + model + '\'' +
                ", nájezd=" + mileage +
                ", bourané=" + isCrashed +
                ", historie majitelů=" + history +
                '}';
    }
}
