package cz.upol.jj2.lab09.cars;

import java.time.LocalDate;

/**
 * Informace o osobě
 */
public class Person {
    private int id;
    private String name;
    private String surname;
    private LocalDate born;


    public Person(int id, String name, String surname, LocalDate born) {
        this.id = id;
        this.name = name;
        this.surname = surname;
        this.born = born;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }


    public LocalDate getBorn() {
        return born;
    }

    public void setBorn(LocalDate born) {
        this.born = born;
    }

    @Override
    public String toString() {
        return "Člověk{" +
                "id=" + id +
                ", jméno='" + name + '\'' +
                ", příjemní='" + surname + '\'' +
                ", narozen=" + born +
                '}';
    }
}
